﻿@model ContactUsFormViewModel
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel2" class="text-left">Contact us</h3>
</div>
@using (Ajax.BeginForm("SubmitForm", "ContactUs", new AjaxOptions { HttpMethod = "Post", InsertionMode = InsertionMode.Replace, OnSuccess = "ContactUsSuccess(data)", OnFailure = "ContactUsFailure()", OnBegin = "ContactUsBegin()", OnComplete = "ContactUsCompleted()" }, new { id = "submit-Feedback" }))
{
    <div class="modal-body">
        <h4>We would love to hear from you</h4>
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

        <!-- error text div -->
        <div class="error-text">
            <p id="ValidationMessages"></p>
            <p>@Html.ValidationMessageFor(model => model.Email)</p>
            <p>@Html.ValidationMessageFor(model => model.Description)</p>
        </div>
        <!--  end of error text div -->
        <div class="modal-div pull-left">
            <label>Your name</label>
            @Html.TextBoxFor(Model => Model.Name, new { @class = "input-large", @placeholder = "Enter your name ..." })
        </div>
        <div class="modal-div pull-right">
            <label>Your email address <span class="star">*</span></label>
            @Html.TextBoxFor(Model => Model.Email, new { @class = "input-large", @placeholder = "yourname@example.com" })
        </div>
        <div class="modal-div pull-left summary">
            <label>Subject</label>
            @Html.TextBoxFor(Model => Model.Subject, new { @class = "input-block-level", @placeholder = "Subject ..." })
        </div>
        <div class="modal-div pull-left idea">
            <label>Description <span class="star">*</span></label>
            @Html.TextAreaFor(Model => Model.Description, new { @class = "feedback-text inline", @placeholder = "Description ..." })
        </div>
    </div>
    <div class="modal-footer text-right">
        <button id="btnSend" type="submit" class="btn btn-warning loading" data-loading-text="posting...">Post</button>
    </div>
}
<!-- The following two  lines should handle via Resource Manager in enhancment phase! -->
<script src="~/Scripts/jquery.validate.min.js" type="text/javascript"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js" type="text/javascript"></script>
<script type="text/javascript">

    $(document).ready(function () {
        buttonInit();
    });

    var msg = $("#ValidationMessages");

    function ContactUsSuccess(data) {
        if (data.Status) {
            // window.location.reload();
            $('#mainPopUp').modal('hide');
            ShowMessageBox("Info", "Your feed send success", 2000);
        }
        else {
          
            buttonReset();
        }
    }

    function ContactUsFailure() {
        buttonReset();
        msg.html("Error in establish connection with server.");
    }

    function ContactUsBegin() {

    }

    function ContactUsCompleted() {
    }

</script>
